
Foreman - Bug #7726

Organization Editor: Clicking the multi-select plus icon adds items that were filtered out

09/29/2014 04:32 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Organizations and Locations   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1147033 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3218,

https://github.com/theforeman/foreman/p

ull/3311

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1147033

Description of problem: In the Organization Editor, when filtering out any of the categories (e.g. Capsules, Media), clicking the "+"

icon will add all original items. From a UX perspective, the icon should only add the items that weren't filtered out.

Version-Release number of selected component (if applicable): 6.0

How reproducible: always

Steps to Reproduce:

1. Enter the Organization Editor for any organization

2. Select any of the categories on the bottom left (e.g. Users, Subnets)

3. Apply a filter to limit the select-able options

4. Click the "+" icon

Actual results: Adds all options, including those filtered out.

Expected results: Should only add options that have not been filtered out.

Additional info: None

Related issues:

Blocked by Foreman - Bug #14071: Missing host_edit_interfaces.js in taxonomy ... Closed 03/07/2016

Associated revisions

Revision 45be57cd - 03/09/2016 09:50 AM - Ondřej Pražák

Fixes #7726 - Filtered out items no longer added when 'Select all' clicked

Revision a44919d8 - 03/18/2016 08:54 AM - Tomer Brisker

Refs #7726 - Improve select all for filtered multi-select

Revision 556a86e1 - 04/18/2016 01:45 PM - Ondřej Pražák

Fixes #7726 - Filtered out items no longer added when 'Select all' clicked

(cherry picked from commit 45be57cddfcc8d8895a96cd601c6ff132caacd8c)

Revision 94395bc8 - 04/18/2016 01:45 PM - Tomer Brisker

Refs #7726 - Improve select all for filtered multi-select

(cherry picked from commit a44919d87d44923d63cb99bbb256c5c71a19c05c)

History
https://bugzilla.redhat.com/show_bug.cgi?id=1147033


#1 - 09/29/2014 04:33 AM - Dominic Cleal

- Category set to Web Interface

#2 - 02/11/2016 09:22 AM - Bryan Kearney

- Category changed from Web Interface to Organizations and Locations

#3 - 02/22/2016 10:52 AM - Ondřej Pražák

- Status changed from New to Assigned

- Assignee set to Ondřej Pražák

#4 - 02/22/2016 10:57 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3218 added

#5 - 03/07/2016 06:36 AM - Ondřej Pražák

- Blocked by Bug #14071: Missing host_edit_interfaces.js in taxonomy edit page added

#6 - 03/09/2016 10:04 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 45be57cddfcc8d8895a96cd601c6ff132caacd8c.

#7 - 03/09/2016 10:37 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#8 - 03/13/2016 11:57 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3311 added
